# IRsPluginManager Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Install ([in] BSTR bszFileName)
HRESULT | Uninstall ([in] BSTR bszPackageName)
HRESULT | LoadPlugin ([in] BSTR bszPackageName)
HRESULT | UnloadPlugin ([in] BSTR bszPackageName)
HRESULT | Import ([in] BSTR bszConfigFile)
HRESULT | EnumPlugins ([out, retval] IRsEnumPluginDesc **ppEnumPlugDesc)
HRESULT | FindPlugin ([in] GUID pluginId,[out, retval] IRsPluginDesc **ppPlugDesc)
HRESULT | FindPluginByName ([in] BSTR bszPackageName,[out, retval] IRsPluginDesc **ppPlugDesc)
HRESULT | UninstallByFileName ([in] BSTR bszFileName)

## Detailed Description

Manager of installed plugins in system.

## Member Function Documentation

HRESULT IRsPluginManager::Install | ( | [in] BSTR | bszFileName | ) |

Install new package.

Parameters:

  | bszFileName | [in] File name of new package.

HRESULT IRsPluginManager::Uninstall | ( | [in] BSTR | bszPackageName | ) |

Uninstall package.

Parameters:

  | bszPackageName | [in] Name of the package.

HRESULT IRsPluginManager::LoadPlugin | ( | [in] BSTR | bszPackageName | ) |

Load installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

HRESULT IRsPluginManager::UnloadPlugin | ( | [in] BSTR | bszPackageName | ) |

Unload installed package.

Parameters:

  | bszPackageName | [in] Name of the package.

HRESULT IRsPluginManager::Import | ( | [in] BSTR | bszConfigFile | ) |

Import plugins from xml file.

Parameters:

  | bszConfigFile | [in] Configuration file.

HRESULT IRsPluginManager::EnumPlugins | ( | [out, retval] IRsEnumPluginDesc ** | ppEnumPlugDesc | ) |

Emumerates installed packages.

Returns:
  ppEnumPlugDesc [out, retval] Enumerator object for plugin descriptors.

HRESULT IRsPluginManager::FindPlugin | ( | [in] GUID | pluginId,
|  | [out, retval] IRsPluginDesc ** | ppPlugDesc |
| ) |  |  |

Search installed package.

Parameters:

  | pluginId | [in] Id identification of plugin.

Returns:
  ppPlugDesc [out, retval] Descriptor of installed package.

HRESULT IRsPluginManager::FindPluginByName | ( | [in] BSTR | bszPackageName,
|  | [out, retval] IRsPluginDesc ** | ppPlugDesc |
| ) |  |  |

Search installed package.

Parameters:

  | bszPackageName | [in] Name identification of plugin.

Returns:
  ppPlugDesc [out, retval] Descriptor of installed package.

HRESULT IRsPluginManager::UninstallByFileName | ( | [in] BSTR | bszFileName | ) |

Uninstall package by file name.

Parameters:

  | bszFileName | [in] file name of the package.